#
#  Makefile for Waterloo TCP sample applications
#
#  Microsoft C / large-model executables.
#

MODEL  = L
CC     = cl.exe
CFLAGS = -A$(MODEL) -nologo -O -W1 -Zi -Zd -Ge -I..\inc

#
# Compiling ping.c with MSC 7 produces "internal compiler error" !
#
PROGS = popdump.exe rexec.exe   tcpinfo.exe cookie.exe  \
        daytime.exe dayserv.exe finger.exe  host.exe    \
        lpq.exe     lpr.exe     ntime.exe   ph.exe      \
        stat.exe    htget.exe   revip.exe   tracert.exe \
        uname.exe   vlsm.exe    whois.exe   blather.exe \
        lister.exe


all:  $(PROGS)
      @echo Microsoft/large binaries done

.c.exe:
      $(CC) -c $(CFLAGS) $*.c
      link /batch /map:full /stack:10000 @<<
        $*.obj, $*.exe, $*.map, ..\lib\wattcpm$(MODEL).lib;
<<

clean:
      @del *.exe
      @del *.obj
