#
#  Makefile for Waterloo TCP sample applications
#
#  Borland32 + WDOSX executables.
#  NB! Requires BC_ROOT to be set.
#

COMPILE = bcc32.exe -c -v -O -a -d -f- -Z -Tt -I..\inc

LINK    = tlink32.exe
LFLAGS  = -Tpe -m -Gm -c -s -v -n -aa

PROGS = ping.exe    popdump.exe rexec.exe  tcpinfo.exe cookie.exe \
        daytime.exe dayserv.exe finger.exe host.exe    lpq.exe    \
        lpr.exe     ntime.exe   ph.exe     stat.exe    htget.exe  \
        revip.exe   tracert.exe uname.exe  vlsm.exe    whois.exe  \
        blather.exe lister.exe


all:  $(PROGS)
      @echo BCC32/WDOSX binaries done

.c.exe:
      $(COMPILE) $*.c
      $(LINK) @&&|
        $(BC_ROOT)\lib\c0x32.obj $*.obj, $*.exe, $*.map
        ..\lib\wattcpbf.lib import32.lib cw32.lib $(LFLAGS)
|
      stubit $*.exe

clean:
      @del *.obj
      @del *.map

