#
#  Makefile for Waterloo TCP sample applications
#
#  Watcom-16 real-mode (large) executables.
#
#  Usage: 'wmake -f watcom.mak'
#

.EXTENSIONS:
.EXTENSIONS: .exe .obj .c

MODEL = l  # (s)mall or (l)arge model

CC    = *wcc -m$(MODEL) -w5 -d2 -zq -zm -I..\inc -fr=nul -bt=dos
LINK  = *wlink option quiet, map, stack=30k, eliminate, caseexact &
          system dos debug all sort global library ..\lib\wattcpw$(MODEL).lib

PROGS = ping.exe    popdump.exe rexec.exe   tcpinfo.exe &
        cookie.exe  daytime.exe dayserv.exe finger.exe  &
        host.exe    lpq.exe     lpr.exe     ntime.exe   &
        ph.exe      stat.exe    htget.exe   revip.exe   &
        tracert.exe tcpport.exe uname.exe   vlsm.exe    &
        whois.exe   blather.exe lister.exe

all:  $(PROGS)
      @echo Watcom/real-mode binaries done

.c.exe: .PRECIOUS
      $(CC) $*.c
      $(LINK) name $*.exe file $*.obj

clean:
      @del *.obj
      @del *.map

