#
#  Makefile for Waterloo TCP sample applications
#
#  Watcom386  + WDOSX executables
# (Borland32  + WDOSX executables)
# (MS VisualC + WDOSX executables)
#

.EXTENSIONS:
.EXTENSIONS: .exe .obj .c

COMPILE = *wcc386 -mf -3r -w5 -d2 -zq -zm -I..\inc -fr=nul -bt=dos
LINK    = *wlink option quiet,map,debug all,caseexact,stack=300k,eliminate &
            library $(%wdosx)\lib\wdosx.lib &
            library ..\lib\wattcpwf.lib

PROGS = ping.exe    popdump.exe rexec.exe  tcpinfo.exe cookie.exe &
        daytime.exe dayserv.exe finger.exe host.exe    lpq.exe    &
        lpr.exe     ntime.exe   ph.exe     stat.exe    htget.exe  &
        revip.exe   tracert.exe uname.exe  vlsm.exe    whois.exe  &
        blather.exe lister.exe


all:  $(PROGS)
      @echo Watcom386/WDOSX binaries done

.c.exe: .PRECIOUS
      $(COMPILE) $*.c
      $(LINK) name $*.exe file $*.obj

clean:
      @del *.obj
      @del *.map

